### Signal

# Ide PipelineStage::reap

#### Declaration

    void
    reap (
      IdePipelineStage* self,
      DzlDirectoryReaper* reaper,
      gpointer user_data
    )

#### Description

This signal is emitted when a request to rebuild the project has occurred. This allows build stages to ensure that certain files are removed from the system. For example, an autotools build stage might request that “configure” is removed so that autogen.sh will be Executed as part of the next build.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`reaper` | `DzlDirectoryReaper`
| An `DzlDirectoryReaper`.
| The data is owned by the caller of the function.